<?php

namespace App\Datatables\Shop;

use Yajra\DataTables\Html\Column;
use App\Datatables\ParentDataTable as DataTable;
use App\Models\Shop\Customer;

class CustomersDataTable extends DataTable
{
    public $model_name = 'customers';

    public function query(Customer $model)
    {
        return $this->buildQuery($model);
    }

    protected function getColumns()
    {
        return [
            Column::make('last_name')->title('Nom'),
            $this->makeColumnButtons(),
        ];
    }
}
